package com.test;

import com.jjt.JjtApplication;
import com.jjt.biz.domain.AlarmRecord;
import com.jjt.biz.domain.BizObjMetrics;
import com.jjt.biz.mapper.AlarmRecordMapper;
import com.jjt.biz.service.IAlarmRecordService;
import com.jjt.biz.service.IBizObjMetricsService;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

/**
 *
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
//@ActiveProfiles("test")
public class AlarmTest {
    @Resource
    private IBizObjMetricsService objMetricsService;
    @Resource
    private IAlarmRecordService alarmRecordService;
    @Resource
    private SqlSessionFactory factory;

    public static void main(String[] args) {
        long end = new Date().getTime();
        System.err.println(new Date(end));
        for (int i = 0; i < 1000; i++) {

        }
    }

    @Test
    void test() {
        List<BizObjMetrics> list = objMetricsService.selectBizObjMetricsList(new BizObjMetrics());
        String[] levels = {"low", "mid", "high"};
        Random random = new Random();
        List<AlarmRecord> records = new ArrayList<>();
        for (int i = 0; i < 1000; i++) {
            int index = random.nextInt(list.size());
            BizObjMetrics om = list.get(index);
            AlarmRecord record = new AlarmRecord();
            record.setObjId(om.getObjId());
            record.setObjMetricsId(om.getObjMetricsId());
            String level = levels[random.nextInt(3)];
            record.setAlarmLevel(level);
            record.setAlarmValue(BigDecimal.valueOf(random.nextInt(100)));
            long randomMillis = new Date().getTime() - Math.abs(random.nextInt(2592000)) * 1000;
            record.setAlarmTime(new Date(randomMillis));
            records.add(record);
        }

        records = records.stream().sorted(Comparator.comparing(AlarmRecord::getAlarmTime)).collect(Collectors.toList());

        try (SqlSession sqlSession = factory.openSession(ExecutorType.BATCH, false)) {
            AlarmRecordMapper mapper = sqlSession.getMapper(AlarmRecordMapper.class);
            records.forEach(mapper::insertAlarmRecord);
            sqlSession.commit();
        }
    }
}
