package com.jjt.hl.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 模型健康度分类得分对象 hl_class_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlClassScore", description = "模型健康度分类得分")
public class HlClassScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 健康度分类ID */
    @ApiModelProperty("健康度分类ID")
    @TableId
    private Long scoreClassId;

    /** 健康度分数记录ID */
    @ApiModelProperty("健康度分数记录ID")
    @Excel(name = "健康度分数记录ID")
    private Long hlScoreId;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /** 业务类型 */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String objType;

    /** 细项分 */
    @ApiModelProperty("细项分")
    @Excel(name = "细项分")
    private String scoreType;

    /** 健康度分值 */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /** 扣分 */
    @ApiModelProperty("扣分")
    @Excel(name = "扣分")
    private BigDecimal loseScore;

    /** 得分 */
    @ApiModelProperty("得分")
    @Excel(name = "得分")
    private BigDecimal score;

    public void setScoreClassId(Long scoreClassId)
    {
        this.scoreClassId = scoreClassId;
    }

    public Long getScoreClassId()
    {
        return scoreClassId;
    }
    public void setHlScoreId(Long hlScoreId)
    {
        this.hlScoreId = hlScoreId;
    }

    public Long getHlScoreId()
    {
        return hlScoreId;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setObjType(String objType)
    {
        this.objType = objType;
    }

    public String getObjType()
    {
        return objType;
    }
    public void setScoreType(String scoreType)
    {
        this.scoreType = scoreType;
    }

    public String getScoreType()
    {
        return scoreType;
    }
    public void setHlScore(BigDecimal hlScore)
    {
        this.hlScore = hlScore;
    }

    public BigDecimal getHlScore()
    {
        return hlScore;
    }
    public void setLoseScore(BigDecimal loseScore)
    {
        this.loseScore = loseScore;
    }

    public BigDecimal getLoseScore()
    {
        return loseScore;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreClassId", getScoreClassId())
            .append("hlScoreId", getHlScoreId())
            .append("modelId", getModelId())
            .append("objType", getObjType())
            .append("scoreType", getScoreType())
            .append("hlScore", getHlScore())
            .append("loseScore", getLoseScore())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
