package com.jjt.hl.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 健康度分数记录对象 hl_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlScore", description = "健康度分数记录")
public class HlScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 健康度分数记录ID; */
    @ApiModelProperty("健康度分数记录ID;")
    @TableId
    private Long hlScoreId;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /** 健康度分值 */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /** 类型 */
    @ApiModelProperty("类型")
    @Excel(name = "类型")
    private String hlType;

    /** 日期 */
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hlDate;

    public void setHlScoreId(Long hlScoreId)
    {
        this.hlScoreId = hlScoreId;
    }

    public Long getHlScoreId()
    {
        return hlScoreId;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setHlScore(BigDecimal hlScore)
    {
        this.hlScore = hlScore;
    }

    public BigDecimal getHlScore()
    {
        return hlScore;
    }
    public void setHlType(String hlType)
    {
        this.hlType = hlType;
    }

    public String getHlType()
    {
        return hlType;
    }
    public void setHlDate(Date hlDate)
    {
        this.hlDate = hlDate;
    }

    public Date getHlDate()
    {
        return hlDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hlScoreId", getHlScoreId())
            .append("modelId", getModelId())
            .append("hlScore", getHlScore())
            .append("hlType", getHlType())
            .append("hlDate", getHlDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
